Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004070TestLinkReportspublic2010-12-02 18:412011-01-22 15:11
Reporterbizob28 
Assigned Tofman 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLAMPOSFedoraOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004070: General Test Plan Metrics - Report generation so slow that is unusable
DescriptionAfter upgrading to 1.9 report generation has decreased by a noticeable difference.

sample Test plan in 1.8.5 took 5.6s for the request to run
sample test plan in 1.9 took 1m 42s for the request to run
Steps To Reproduce 1. Click Results header
 2. Select a testplan
 3. Click General Test Plan Metrics

Result creation takes a long time.
Additional InformationI notice you can now get results for inactive test plans. We have a total of 58 test plans in the test project 19 which are active.
TagsPerformance
Database (MySQL,Postgres,etc)MySql 5.1
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-4070.zip [^] (3,823 bytes) 2010-12-04 09:07

- Relationships
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012819)
fman (administrator)
2010-12-02 19:34

>> sample Test plan in 1.8.5 took 5.6s for the request to run
>> sample test plan in 1.9 took 1m 42s for the request to run
number of test cases on test plan ?
organization ? i.e how many test suites and with how many levels ?

all this kind of information is needed

>> I notice you can now get results for inactive test plans.
>> We have a total of 58 test plans in the test project 19 which are active.
if there is an option to do not process INACTIVE, have you selected it ?
(0012820)
bizob28 (reporter)
2010-12-02 19:47
edited on: 2010-12-02 19:48

so this is slow for any number of test cases, the example i provided was 261 test cases which is very small for us. We usually report on 2,500 per test plan. In this example above, it had 1 top level test suite and 1 second level test suite.

However, we do organize our tests in many nested suites. This project has 4 top level test suites, 50 second level test suites and within each second level test suite contain about 2-4 test suites.

I tried generating results with "Show inactive test plan" enabled and disabled and same behavior. What was changed from 1.8.5 to 1.9 that has made this unusable. At this point I'm considering rolling back to 1.8.5 because I cannot report results in a timely manner

(0012825)
fman (administrator)
2010-12-03 06:16

>> What was changed from 1.8.5 to 1.9 that has made this unusable
If we have the answer may be we will not have made the mistake.

is possible to have your migrated db?
francisco.mancardi@gmail.com
(0012826)
fman (administrator)
2010-12-03 06:17

Reminder sent to: asimon

hi! do you think will be able to find some time to give a look on next 10 days ?
(0012833)
bizob28 (reporter)
2010-12-03 15:04

Yes i can send this to you
(0012835)
bizob28 (reporter)
2010-12-03 15:16

I sent you the database
(0012845)
bizob28 (reporter)
2010-12-04 13:43

The fix provided has improved the performance of generating results. thank you for the investigation on this
(0012846)
Julian (reporter)
2010-12-04 15:34

would you be so kind and measure the improvement in this way:

sample Test plan in 1.8.5 took 5.6s for the request to run
sample test plan in 1.9 took 1m 42s for the request to run
(0012860)
bizob28 (reporter)
2010-12-06 14:33

Before fix it took 1m 42s to run request
after fix it took 7.28s to run report on 1.9

baseline the db server and today that same request took 6.96s in 1.8.5
(0013375)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-12-02 18:41 bizob28 New Issue
2010-12-02 19:34 fman Note Added: 0012819
2010-12-02 19:34 fman Summary Report generation so slow that is unusable => General Test Plan Metrics - Report generation so slow that is unusable
2010-12-02 19:47 bizob28 Note Added: 0012820
2010-12-02 19:48 bizob28 Note Edited: 0012820 View Revisions
2010-12-03 06:16 fman Note Added: 0012825
2010-12-03 06:17 fman Note Added: 0012826
2010-12-03 15:04 bizob28 Note Added: 0012833
2010-12-03 15:16 bizob28 Note Added: 0012835
2010-12-04 09:07 fman Assigned To => fman
2010-12-04 09:07 fman Status new => assigned
2010-12-04 09:07 fman File Added: fix-4070.zip
2010-12-04 09:21 fman Status assigned => feedback
2010-12-04 12:45 fman Tag Attached: Performance
2010-12-04 13:43 bizob28 Note Added: 0012845
2010-12-04 13:43 bizob28 Status feedback => assigned
2010-12-04 13:57 fman Status assigned => resolved
2010-12-04 13:57 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-04 13:57 fman Resolution open => fixed
2010-12-04 15:34 Julian Note Added: 0012846
2010-12-06 14:33 bizob28 Note Added: 0012860
2010-12-06 14:33 bizob28 Status resolved => assigned
2010-12-06 14:33 bizob28 Resolution fixed => reopened
2010-12-06 16:47 fman View Status private => public
2010-12-08 09:24 fman Relationship added child of 0004039
2010-12-08 09:24 fman Status assigned => resolved
2010-12-08 09:24 fman Resolution reopened => fixed
2011-01-22 15:11 fman Note Added: 0013375
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker